package com.mosty.wzzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.wzzx.LocationInfo;
import com.mosty.base.model.entity.wzzx.TbWzRywz;
import com.mosty.base.model.entity.wzzx.TbWzSswz;
import com.mosty.base.model.query.wzzx.TbWzRywzSearchDto;
import com.mosty.base.model.query.wzzx.TbWzSswzSearchDto;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbWzSswzService {

    @ApiOperation("保存实时记录")
    void saveSswz(LocationInfo locationInfo, TbWzRywz rywz);

    @ApiOperation("添加位置")
    TbWzSswz insert(LocationInfo locationInfo);

    @ApiOperation("添加位置")
    TbWzSswz insertEntity(TbWzSswz sswz);

    @ApiOperation("根据ID查询")
    TbWzSswz queryById(String id);

    @ApiOperation("")
    TbWzSswz querySswzNow(String yhid, String jrbh);

    @ApiOperation("删除历史数据")
    void delHistory();

    @ApiOperation("获取时间段类的人员轨迹信息俩表")
    IPage<TbWzSswz> getRygjList(TbWzSswzSearchDto dto);

    @ApiOperation("查询某一天的人员位置信息")
    TbWzRywz getRywz(TbWzRywzSearchDto dto);
}
